#include "main.h"

// debugging output for VBA
void print(char *s)
{
    asm volatile("mov r0, %0;"
                 "swi 0xff;"
                 : // no ouput
                 : "r" (s)
                 : "r0");
		
}

///main entry point from the boot.asm startup file
int AgbMain()
{
	interrupt_init();
	
	InitialiseSprites();
	
	while(1)
	{
		intro();
		game_run();
	}

	return(0);
}
